from typing import Optional
from pydantic import BaseModel, EmailStr

class RegisterUserDTO(BaseModel):
    username: str
    password: str
    email: Optional[EmailStr] = None
    first_name: Optional[str] = None
    last_name: Optional[str] = None
    department: Optional[str] = None
    position: Optional[str] = None
    is_admin: bool = False

class LoginUserDTO(BaseModel):
    username: str
    password: str