from models.time_model import Time

class Reservation:
    def __init__(self, title, room_id, creator, date, start_time, finish_time, color, description=""):
        self.title = title
        self.description = description
        self.room_id = room_id
        self.creator = creator
        self.date = date
        self.start_time = Time(**start_time)
        self.finish_time = Time(**finish_time)
        self.color = color

    def dict(self):
        dict = self.__dict__.copy()
        dict["start_time"] = self.start_time.dict()
        dict["finish_time"] = self.finish_time.dict()
        return dict