from config import Config
from pymongo import MongoClient

class DatabaseSingleton:
    _instance = None

    @staticmethod
    def get_instance():
        if DatabaseSingleton._instance is None:
            DatabaseSingleton._instance = MongoClient(Config.MONGO_URI)
        return DatabaseSingleton._instance[Config.DB_NAME]